- Home
- API Enriched
- Support
- operate
- Add USB Enablement Rules.
Add USB Enablement Rules.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/usb/example/rules/add';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","node":"example","rules":[{"b_device_class":"example","b_device_protocol":"example","b_device_sub_class":"example","i_serial":"example","id_product":"example","id_vendor":"example"}],"site":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/usb/example/rules/add \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "node": "example", "rules": [ { "b_device_class": "example", "b_device_protocol": "example", "b_device_sub_class": "example", "i_serial": "example", "id_product": "example", "id_vendor": "example" } ], "site": "example" }'Add USB Enablement Rules.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site.
Node Name Name of the node.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to add USB Enablement Rules.
object
Namespace for which the request is sent (system)
Name of the node.
Add of USB Enablement Rules.
USB Enablement Rule.
object
The class of this device.
The protocol (within the sub-class) of this device.
The sub-class (within the class) of this device.
Index of Serial Number String Descriptor.
Product ID (Assigned by Manufacturer) in hex.
Vendor ID (Assigned by USB Org) in hex.
Name of the site.
Examplegenerated
{ "namespace": "example", "node": "example", "rules": [ { "b_device_class": "example", "b_device_protocol": "example", "b_device_sub_class": "example", "i_serial": "example", "id_product": "example", "id_vendor": "example" } ], "site": "example"}Responses
Section titled “Responses”A successful response.
Response to add USB Enablement Rules.
object
Added USB Enablement Rules.
USB Enablement Rule.
object
The class of this device.
The protocol (within the sub-class) of this device.
The sub-class (within the class) of this device.
Index of Serial Number String Descriptor.
Product ID (Assigned by Manufacturer) in hex.
Vendor ID (Assigned by USB Org) in hex.
Examplegenerated
{ "rules": [ { "b_device_class": "example", "b_device_protocol": "example", "b_device_sub_class": "example", "i_serial": "example", "id_product": "example", "id_vendor": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example